coding_local.hpp File Reference

Go to the source code of this file.

## Macros

#define | SHIFT_SIGMA 0
#define | SHIFT_SIGMA_ 1
#define | SHIFT_PI_ 2
#define | SHIFT_REF 3
#define | SHIFT_SCAN 4

## Functions

uint8_t | Sigma (uint8_t &data)
uint8_t | Sigma_ (uint8_t &data)
uint8_t | Pi_ (uint8_t &data)
uint8_t | Scan (uint8_t &data)
uint8_t | Refinement_value (uint8_t &data)
uint8_t | Refinement_indicator (uint8_t &data)
void | sigma (uint8_t &data, const uint8_t &val)
void | scan (uint8_t &data, const uint8_t &val)
void | refinement_value (uint8_t &data, const uint8_t &val)
void | refinement_indicator (uint8_t &data, const uint8_t &val)

## Macro Definition Documentation

## SHIFT_PI_

#define SHIFT_PI_ 2

## SHIFT_REF

#define SHIFT_REF 3

## SHIFT_SCAN

#define SHIFT_SCAN 4

## SHIFT_SIGMA

#define SHIFT_SIGMA 0

## SHIFT_SIGMA_

#define SHIFT_SIGMA_ 1

## Function Documentation

## Pi_()

uint8_t Pi_ | ( | uint8_t & | data | ) |

inline

References SHIFT_PI_.

## Refinement_indicator()

uint8_t Refinement_indicator | ( | uint8_t & | data | ) |

inline

References SHIFT_PI_.

Referenced by htj2k_decode().

## refinement_indicator()

void refinement_indicator | ( | uint8_t & | data,
|  | const uint8_t & | val
| ) |  |

inline

References SHIFT_PI_.

Referenced by ht_magref_decode().

## Refinement_value()

uint8_t Refinement_value | ( | uint8_t & | data | ) |

inline

References SHIFT_REF.

Referenced by j2k_codeblock::calc_mbr().

## refinement_value()

void refinement_value | ( | uint8_t & | data,
|  | const uint8_t & | val
| ) |  |

inline

References SHIFT_REF.

## Scan()

uint8_t Scan | ( | uint8_t & | data | ) |

inline

References SHIFT_SCAN.

Referenced by j2k_codeblock::calc_mbr().

## scan()

void scan | ( | uint8_t & | data,
|  | const uint8_t & | val
| ) |  |

inline

References SHIFT_SCAN.

## Sigma()

uint8_t Sigma | ( | uint8_t & | data | ) |

inline

References SHIFT_SIGMA.

Referenced by j2k_codeblock::calc_mbr(), ht_magref_decode(), make_storage(), and make_storage_one().

## sigma()

void sigma | ( | uint8_t & | data,
|  | const uint8_t & | val
| ) |  |

inline

Referenced by ht_cleanup_decode(), ojph::local::ojph_decode_codeblock(), ojph::local::ojph_decode_codeblock_ssse3(), and ojph::local::ojph_decode_codeblock_wasm().

## Sigma_()

uint8_t Sigma_ | ( | uint8_t & | data | ) |

inline

References SHIFT_SIGMA_.